<script setup lang="ts">
import { Popover, PopoverButton, PopoverPanel } from '@headlessui/vue';
import { Float } from '@headlessui-float/vue';
import type { Placement } from '@floating-ui/dom';

const props = defineProps({
    placement:
    {
        type: String,
        default: "bottom-end"
    },
    width:{
        type: String,
        default:"w-56 max-w-56"
    },
    rounded:{
        type: String,
        default: ""
    }
});
</script>
<template>
    <Popover v-slot="{ open }">
        <Float portal flip :offset="0" :placement="(placement as Placement)">
            <PopoverButton as="button" :class="[rounded]">
                <slot name="button" :open="open"></slot>
            </PopoverButton>
            <PopoverPanel v-slot="{ close }">
                <div class="relative box-border transition duration-100 ease-in-out rounded-lg bg-white text-gray-500 shadow-md white p-4 flex flex-col gap-2" :class="width" role="tooltip"            >
                    <slot :close="close"></slot>
                </div>
            </PopoverPanel>
        </Float>
    </Popover>
</template>